/*
 * Copyright (c) 2013 Cisco Systems, Inc. and others.  All rights reserved.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v1.0 which accompanies this distribution,
 * and is available at http://www.eclipse.org/legal/epl-v10.html
 */
package org.opendaylight.controller.config.manager.impl.dynamicmbean;

import java.util.concurrent.atomic.AtomicBoolean;

public interface ReadOnlyAtomicBoolean {
    boolean get();

    class ReadOnlyAtomicBooleanImpl implements
            ReadOnlyAtomicBoolean {
        private final AtomicBoolean atomicBoolean;

        public ReadOnlyAtomicBooleanImpl(final AtomicBoolean atomicBoolean) {
            this.atomicBoolean = atomicBoolean;
        }

        @Override
        public boolean get() {
            return atomicBoolean.get();
        }

    }
}
